extends Node

## Events for loading scene
####
func _loading_is_started(_anim_name):
	print("[Event#_loading_is_started]")
	Global.loaded = false

func _loading_is_finished(_anim_name):
	print("[Evenst#_loading_is_finished]")
	Global.loaded = true

# Events for load scene level
####
func _on_warcraft_pressed():
	Global.current_scene_int = 0
	Global.goto_scene("res://scenes/levels/warcraft/WarCraft.tscn")

func _on_home_pressed():
	Global.current_scene_int = 1
	Global.goto_scene("res://scenes/levels/home/Home.tscn")
	
func _on_reset_level(level, node, index, parent):
	Global.current_scene_int = index
	level.reset()
	parent.configure_reset(level, node, index, true)
	parent.configure_counter(level, node)
	Global.current_scene_int = null

# Events for back to main scene
####
func _on_main_scene_pressed():
	Global.goto_scene("res://scenes/Main.tscn")
